summaryrefslogtreecommitdiffstats
path: root/development/fpc/fpc.SlackBuild
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2010-05-13 00:57:53 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:53 +0200
commit1ea71ccb78e1b5cb5b75f1c08553e1491e7be269 (patch)
treed9887da26ef5231dda50d8256f65c9f61d817f99 /development/fpc/fpc.SlackBuild
parent5be399b8c3701ddc854d4c9dad83a28912414c3f (diff)
downloadslackbuilds-1ea71ccb78e1b5cb5b75f1c08553e1491e7be269.tar.gz
slackbuilds-1ea71ccb78e1b5cb5b75f1c08553e1491e7be269.tar.xz
development/fpc: Added to 13.0 repository
Diffstat (limited to 'development/fpc/fpc.SlackBuild')
-rw-r--r--development/fpc/fpc.SlackBuild131
1 files changed, 131 insertions, 0 deletions
diff --git a/development/fpc/fpc.SlackBuild b/development/fpc/fpc.SlackBuild
new file mode 100644
index 0000000000..d36bde2afc
--- /dev/null
+++ b/development/fpc/fpc.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Slackware build script for Free Pascal
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=fpc
+VERSION=${SRCVER:-2.2.4}
+ARCH=${ARCH:-i386}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCH=x86_64
+ LIBDIRSUFFIX="64"
+ echo "NOTICE: $ARCH is UNSUPPORTED."
+ exit
+else
+ ARCH=i386
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.$ARCH-linux.tar
+
+# Unpack docs, binary, and demo files.
+(
+ mkdir -p $TMP/$PRGNAM-$VERSION/{binary,docs}
+ cd $TMP/$PRGNAM-$VERSION/binary
+ tar xvf $TMP/$PRGNAM-$VERSION/binary.$ARCH-linux.tar
+
+ cd $TMP/$PRGNAM-$VERSION/docs
+ tar xvf $TMP/$PRGNAM-$VERSION/doc-pdf.tar.gz
+
+ mkdir -p $PKG/usr/share/doc/$PRGNAM-$VERSION/demo
+ cd $PKG/usr/share/doc/$PRGNAM-$VERSION/demo
+ tar xvf $TMP/$PRGNAM-$VERSION/demo.tar.gz
+)
+
+# Install program
+cd $PKG/usr
+for file in `ls $TMP/$PRGNAM-$VERSION/binary/*tar.gz`
+do
+ tar xvf $file
+done
+
+cd $PKG/usr/bin
+if [ "$ARCH" = "x86_64" ]; then
+ ln -s ../lib$LIBDIRSUFFIX/fpc/$VERSION/ppcx64
+else
+ ln -s ../lib$LIBDIRSUFFIX/fpc/$VERSION/ppc386
+fi
+
+# copy docs
+mv $PKG/usr/share/doc $PKG/usr/doc
+rmdir $PKG/usr/share
+mv $TMP/$PRGNAM-$VERSION/docs/share/doc/fpdocs-$VERSION/*.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+
+# Strip binaries and libraries.
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Compress man pages.
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Create compiler config file.
+mkdir -p $PKG/etc $PKG/usr/lib$LIBDIRSUFFIX/fpc/$VERSION/ide/text
+$PKG/usr/lib$LIBDIRSUFFIX/fpc/$VERSION/samplecfg \
+ $PKG/usr/lib$LIBDIRSUFFIX/fpc/$VERSION \
+ $PKG/etc
+
+# Clean up the configs by removing our package directory.
+sed -i -e "s:$PKG::g" $PKG/etc/fpc.cfg
+sed -i -e "s:$PKG::g" $PKG/usr/lib$LIBDIRSUFFIX/fpc/$VERSION/ide/text/fp.cfg
+mv $PKG/etc/fpc.cfg $PKG/etc/fpc.cfg.new
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+# fix permissions for program docs and demos.
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}